PPROF(1)

NAME
pprof - Quickly diplays profile data.

SYNOPSIS

pprof [-a] [-c] [-b] [-m] [-t] [-e] [-i] [-v] [-r] [-s] [-n num] [-f filename] [-p] [-l] [-d]

DESCRIPTION

OPTIONS

-a Show all location information available

-c Sort according to number of Calls

-b Sort according to number of suBroutines called by a function

-m Sort according to Milliseconds (exclusive time total)

-t Sort according to Total milliseconds (inclusive time total) (default)

-e Sort according to Exclusive time per call (msec/call)

-i Sort according to Inclusive time per call (total msec/call)

-v Sort according to Standard Deviation (excl usec)

-r Reverse sorting order

-s print only Summary profile information

-n num print only first num number of functions

-f filename specify full path and Filename without node ids

-p suPpress conversion to hhmmssmmm format

-l List all functions and exit

-d Dump output format (for tau_reduce) [node numbers] prints only info about all contexts/threads of given node numbers